## deepin-wallpapers-nonfree 1.5

=== Makefile ===
PICS := $(wildcard deepin-private/*.jpg deepin-private/*.jpeg deepin-private/*.png)

define md5sum
$(shell echo -n /usr/share/wallpapers/deepin/$(1) | md5sum | awk '{print $$1}')
endef

all: prepare $(addprefix blur/, ${PICS})

prepare: 
	@mkdir -p image-blur

blur/%: 
	/usr/lib/deepin-api/image-blur --sigma 30 $(subst blur/,,$@) image-blur/$(call md5sum,${@F}).jpg

clean:
	rm -rf image-blur

=== debian/changelog ===
deepin-wallpapers-nonfree (1.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 11 Mar 2021 13:12:48 +0800

deepin-wallpapers-nonfree (1.5) unstable; urgency=medium

  * rm Deepin-Technology-Brand-Log.jpg.

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 10 Mar 2021 20:58:34 +0800

deepin-wallpapers-nonfree (1.4) stable; urgency=medium

  * add Deepin-Technology-Brand-Logo.jpg

 -- TagBuilder <lichenggang@uniontech.com>  Tue, 02 Feb 2021 14:07:38 +0800

deepin-wallpapers-nonfree (1.3-1) stable; urgency=low

  * Autobuild Tag 1.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 14:13:20 +0000

deepin-wallpapers-nonfree (1.2) unstable; urgency=medium

  * Add image blur

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 09 May 2016 09:13:05 +0800

deepin-wallpapers-nonfree (1.1) unstable; urgency=medium

  * Remove default wallpaper

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 06 Apr 2016 15:30:27 +0800

deepin-wallpapers-nonfree (1.0) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 29 Mar 2016 13:41:23 +0800

## deepin-wallpapers-nonfree 1.7.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PICS := $(wildcard deepin-private/*.jpg deepin-private/*.jpeg deepin-private/*.png)
+PICS := $(wildcard deepin-private/*.jpg deepin-private/*.jpeg deepin-private/*.png unsplash.com/*.jpg unsplash.com/*.jpeg unsplash.com/*.png)
 
 define md5sum
 $(shell echo -n /usr/share/wallpapers/deepin/$(1) | md5sum | awk '{print $$1}')

=== debian/changelog ===
deepin-wallpapers-nonfree (1.7.10) unstable; urgency=medium

  * chore: 新增壁纸图片 (#7)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 09 Aug 2024 14:24:01 +0800

deepin-wallpapers-nonfree (1.7.9) unstable; urgency=medium

  * add nonfree wallpapers.

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 06 Feb 2023 16:04:40 +0800

deepin-wallpapers-nonfree (1.7.8) unstable; urgency=medium

  * rm Deepin-Technology-Brand-Log.jpg.

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 10 Mar 2021 20:58:34 +0800

=== debian/control ===
Source: deepin-wallpapers-nonfree
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), dde-api
Standards-Version: 3.9.6
Homepage: https://www.deepin.org/
#Vcs-Git: git://anonscm.debian.org/collab-maint/deepin-wallpapers-nonfree.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deepin-wallpapers-nonfree.git

Package: deepin-wallpapers-nonfree
Architecture: all
Pre-Depends: deepin-wallpapers (>= 1.7.14)
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides:
 deepin-community-wallpapers,
Conflicts:
 deepin-community-wallpapers,
Breaks: deepin-desktop-base (<< 2017.11.2),
 deepin-community-wallpapers,
Description: When users are ready to set their own desktop background,
 Deepin Wallpaper provides many beautiful background pictures for users to choose.
 It is part of Deepin software and DDE (Deepin Desktop Environment).
